<?php
/**
 * Giscuit
 *
 * @version    $Id: Date.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2012 VEC
 *
 */

/**
 * @see Zend_Form_Element_Text
 */
//require_once 'Zend/Form/Element/Text.php';

/**
 * Date element
 * 
 * @category   Giscuit
 * @package    Giscuit_Form
 * @subpackage Element
 * @copyright  Copyright (c) 2012 VEC
 *
 */
class Giscuit_Form_Element_Date extends Zend_Form_Element_Text
{
    
    /**
     * Set object state from options array
     *
     * @param  array $options
     * @return Zend_Form_Element
     */
    public function setOptions (array $options)
    {
        $this->class = 'gt-field-date';
        $this->addValidator('Date', false, array(GT_DATE_STYLE_ZEND));
        
        parent::setOptions($options);
    }

}