/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Info.js 1555 2011-08-02 15:41:37Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * Class: Giscuit.Control.Click
 * 
 *  Inherits from:
 *   - <Giscuit.Control>
 */
Giscuit.Control.Click = OpenLayers.Class(OpenLayers.Control, {
    
    defaultHandlerOptions: {
        'single': true,
        'double': false,
        'pixelTolerance': 0,
        'stopSingle': true,
        'stopDouble': false
    },
        
    initialize: function(options) {
        this.handlerOptions = OpenLayers.Util.extend(
            {}, this.defaultHandlerOptions
        );
        
        OpenLayers.Control.prototype.initialize.apply(
            this, arguments
        );
        
        //clickCallback
        if(! options.clickCallback) {
            options.clickCallback = this.trigger;
        }
        
        this.handler = new OpenLayers.Handler.Click(
            this, {'click': options.clickCallback}, this.handlerOptions
        );
    },
    
    trigger: function (e) {
    },

    CLASS_NAME: "Giscuit.Control.Click"
});