/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Translate.js 1133 2011-03-14 16:12:16Z ue $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * Method: Giscuit.Util.photoboxPanel
 */
Giscuit.Util.photoboxPanel = Giscuit.Util.photoboxImage = Giscuit.Util.photoboxTimer = null;

Giscuit.Util.photobox = function (name, url) {
    if(Giscuit.Util.photoboxPanel == null) {
        Giscuit.Util.photoboxPanel = new YAHOO.widget.Panel("gtPhotobox", { 
            fixedcenter: true, 
            close: true, 
            draggable: false, 
            modal: true,
            visible: false
        });
                        
        Giscuit.Util.photoboxPanel.render(document.body);
    }
    
    Giscuit.Util.photoboxPanel.setHeader(name);
    Giscuit.Util.photoboxImage = new Image();
    Giscuit.Util.photoboxImage.onload = function() {
        Giscuit.Util.photoboxPanel.setBody(this);
        Giscuit.Util.photoboxPanel.show();
        Giscuit.Util.photoboxPanel.element.style.zIndex = 5;
        Giscuit.Util.photoboxPanel.mask.style.zIndex = 4;
    };
    
    Giscuit.Util.photoboxImage.src = url;
};