<?php
/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this application in the file LICENSE.txt.
 *
 * @version    $Id: CharToBool.php 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @category   Giscuit
 * @package    Giscuit_Helper
 * @copyright  Copyright (c) 2012 VEC
 */

/**
 * @see  Zend_Controller_Action_Helper_Abstract
 */
require_once 'Zend/Controller/Action/Helper/Abstract.php';

/**
 * Convert a string value to it's bool equivalent
 * 
 * @category   Giscuit
 * @package    Giscuit_Helper
 * @copyright  Copyright (c) 2012 VEC
 */
class Giscuit_Controller_Action_Helper_CharToBool extends Zend_Controller_Action_Helper_Abstract
{

    /*
    public $pluginLoader;

    public function __construct()
    {
        $this->pluginLoader = new Zend_Loader_PluginLoader();
    }
    */
    
    /**
     * Convert a string value to it's bool equivalent
     * 
     * @param string $item Value
     * @return boolean
     */
    public function charToBool ($item)
    {
        if ($item == 't') {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Strategy pattern: call helper as helper broker method
     * 
     * Convert a string value to it's bool equivalent
     * 
     * @param string $item Value
     * @return boolean
     */
    public function direct ($item)
    {
        return $this->charToBool($item);
    }
}