<?php
class Giscuit_Form_Layer_Quickaccess extends Giscuit_Form_Layer_Abstract
{
    /**
     * Initialize
     *
     * @return void
     */
    public function init ()
    {
        $config = Zend_Registry::get('config');
        $isAllowed = Zend_Controller_Action_HelperBroker::getStaticHelper('isAllowed');
        
        $languages = $config->language->toArray();
        foreach ($languages as $key => $value) {
            $this->addElement('text', 'name_' . $key, array(
                'required' => false, 
                'label' => $value
            ));
        }
        
        if ($isAllowed->direct('admin')) {
            $this->addElement('checkbox', 'published', array(
                'validators' => $this->checkboxValidator ,
                'required' => true , 
                'label' => 'published' ,
                'checkedValue' => 't' , 
                'uncheckedValue' => 'f'
            ));
        }

    }
}