/**
 * Giscuit
 *
 * LICENSE
 *
 * This source file is subject to the Giscuit license that is bundled
 * with this package in the file LICENSE.txt.
 *
 * @version    $Id: Editor.js 2644 2012-05-07 12:25:16Z pavel.iacovlev $
 * @copyright  Copyright (c) 2012 VEC
 */
/**
 * 
 */
YAHOO.widget.Editor.prototype._render = function() {
    
    this._defaultToolbar.titlebar = false;
        
    this.upload('insertimage', gt.config.httpPath + '/uploads/upload', 'file');
    this.upload('createlink', gt.config.httpPath + '/uploads/upload', 'file');
    
    YAHOO.widget.Editor.superclass._render.apply(this, arguments);
    var self = this;
    
    //Render the panel in another thread and delay it a little..
    window.setTimeout(function() {
        self._renderPanel.call(self);
    }, 800);
};

YAHOO.widget.Editor.prototype.upload = function (type, uploadUrl, fieldName) {
    
    var editorName = this.get('name');
    
    this.addListener('toolbarLoaded', function () {
        
        this.toolbar.addListener(type + 'Click', function (o) {

            var imgPanel = new YAHOO.util.Element(editorName + '-panel');
            imgPanel.on('contentReady', function () {

                var Dom = YAHOO.util.Dom;

                if (!Dom.get(editorName + '_' + type + '_upload')) {
                    var label = document.createElement('label');
                    label.innerHTML = '<strong>Upload:</strong>' + '<input type="file" id="' + editorName + '_' + type + '_upload' + '" name="' + fieldName + '">' + '</label>';

                    var elem = Dom.get(editorName + '_' + type + '_url');
                    Dom.getAncestorByTagName(elem, 'form').encoding = 'multipart/form-data';

                    Dom.insertAfter(label, elem.parentNode);

                    YAHOO.util.Event.on(editorName + '_' + type + '_upload', 'change', function (ev) {
                        YAHOO.util.Event.stopEvent(ev);
                        YAHOO.util.Connect.setForm(elem.form, true, true);
                        var c = YAHOO.util.Connect.asyncRequest('POST', uploadUrl, {
                            upload: function (r) {
                                //Strip pre tags
                                //var resp = r.responseText.replace(/<pre>/i, '').replace(/<\/pre>/i, '');
                                var resp = r.responseText;

                                var o = eval('(' + resp + ')');
                                if (o.status == 'UPLOADED') {
                                    Dom.get(editorName + '_' + type + '_upload').value = '';
                                    Dom.get(editorName + '_' + type + '_url').value = o.url;

                                    Dom.get(editorName + '_' + type + '_url').focus();
                                    Dom.get(editorName + '_' + type + '_upload').focus();
                                } else {
                                    debug.warn('Received invalid status value while uploading a file');
                                }
                                
                            }
                        });
                        return false;
                    });
                }
            });

        });

    });

};